@use 'sass/base';
@use 'sass/mixin';
@use 'sass/size';
@use 'sass/color';

:host {
  display: block;
  height: 100%;
}

.newsfeed-container {
  @include mixin.center-items(stretch, space-between);
  flex-flow: column nowrap;
  gap: size.$gap;
  height: 100%;
  .newsfeed-card {
    height: calc(100% - #{size.$gap} - 111px); // height of report-card
  }
  .report-card {
    flex: 0 0 auto;
    .button-container {
      @include mixin.center-items(space-evenly);
      gap: 0.5 * size.$gap;
      padding-top: 0.5 * size.$gap;
      button {
        flex: 1;
      }
    }
  }
}

.newsfeed-header,
.report-header {
  @include mixin.center-items(flex-start);
  gap: size.$gap;
  h2 {
    margin: 0;
  }
}

.newsfeed-header {
  height: 32px;
}

.news-list-wrapper {
  overflow-y: scroll;
  border-radius: size.$border-radius;
  height: calc(100% - #{size.$gap} - 32px); // newsfeed-header height
  margin-top: size.$gap;
  .news-list {
    .news-item {
      background-color: color.$muted;
      border-radius: size.$border-radius;
      padding: 0.5 * size.$gap;
      margin-bottom: size.$gap;
      &.draft {
        border: 4px dashed rgba(#000, 0.1);
        background-color: color.$card;
      }
      .news-header,
      .news-content {
        width: 100%;
        text-align: justify;
        word-wrap: anywhere;
        white-space: pre-line;
        margin: 0;
      }
      .news-header {
        font-weight: bold;
      }
      .news-date {
        margin-top: 0.5 * size.$gap;
        text-align: center;
        font-size: size.$small-text;
      }
      hr {
        margin: 0.5 * size.$gap 0;
      }
    }
  }
}
